## cascading.pipe.cogroup
Class GroupClosure

    java.lang.Object
      cascading.pipe.cogroup.GroupClosure

Direct Known Subclasses:
  CoGroupClosure

    public class GroupClosure

extends Object

Class GroupClosure is used internally to represent groups of tuples during grouping.

Constructor Summary
`GroupClosure(FlowProcess flowProcess, Fields[] groupingFields, Fields[] valueFields)`

Method Summary
`FlowProcess` `getFlowProcess()`
`Tuple` `getGrouping()`
`Iterator` `getIterator(int pos)`
`protected Iterator<Tuple>` `makeIterator(int pos, Iterator values)`
`void` `reset(Joiner joiner, Tuple grouping, Iterator values)`
`int` `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroupClosure

    public GroupClosure(FlowProcess flowProcess,
                        Fields[] groupingFields,
                        Fields[] valueFields)

Method Detail

### getFlowProcess

    public FlowProcess getFlowProcess()

### size

    public int size()

### getGrouping

    public Tuple getGrouping()

### getIterator

    public Iterator getIterator(int pos)

### makeIterator

    protected Iterator<Tuple> makeIterator(int pos,
                                           Iterator values)

### reset

    public void reset(Joiner joiner,
                      Tuple grouping,
                      Iterator values)

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.